class Ads {
  Ads({
      List<AdsData>? data,}){
    _data = data;
}

  Ads.fromJson(dynamic json) {
    if (json['data'] != null) {
      _data = [];
      json['data'].forEach((v) {
        _data?.add(AdsData.fromJson(v));
      });
    }
  }
  List<AdsData>? _data;
Ads copyWith({  List<AdsData>? adsData,
}) => Ads(  data: _data ?? _data,
);
  List<AdsData>? get adsData => _data;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (_data != null) {
      map['AdsData'] = _data?.map((v) => v.toJson()).toList();
    }
    return map;
  }

}

/// id : 4
/// title : "Labore culpa duis o"
/// url : "https://www.gikegikewu.com"
/// banner : "uploads/ads/labore-culpa-duis-o5822.jpg"

class AdsData {
  AdsData({
      num? id, 
      String? title, 
      String? url, 
      String? banner,}){
    _id = id;
    _title = title;
    _url = url;
    _banner = banner;
}

  AdsData.fromJson(dynamic json) {
    _id = json['id'];
    _title = json['title'];
    _url = json['url'];
    _banner = json['banner'];
  }
  num? _id;
  String? _title;
  String? _url;
  String? _banner;
AdsData copyWith({  num? id,
  String? title,
  String? url,
  String? banner,
}) => AdsData(  id: id ?? _id,
  title: title ?? _title,
  url: url ?? _url,
  banner: banner ?? _banner,
);
  num? get id => _id;
  String? get title => _title;
  String? get url => _url;
  String? get banner => _banner;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = _id;
    map['title'] = _title;
    map['url'] = _url;
    map['banner'] = _banner;
    return map;
  }

}